import csv
import numpy as np


#all other functions need the raw data, so they are not needed anymore
#data is in numpy format available, look into the folder "variables"


def getLegend():
    """
    creates a vector with legend string for the vector returned by getVector
    and used as input parameters by getConfig using paramters.info
    """

    vector_legend = [['print_ID'], ['config_id'], ['printer'], ['force'], ['is_fail'], ['has_errors'], ['soundbook_mess_id'], ['last_clean'], ['Temp'], ['relHum'], ['time'],['new_calib']] #['comment']
    with open('parameters.info') as param_file:
        param_lines = param_file.readlines()

    for line in param_lines:
        splits = line.split()
        name = splits[0]

        if splits[1] == 'n':
            for i in range(2, len(splits), 1):
                vector_legend.append([name + '_' + splits[i]])
        elif splits[1] == 'k':
            vector_legend.append([name])
        elif splits[1] == 'p':
            vector_legend.append([name + ' (%)'])
        elif splits[1] == 'z':
            vector_legend.append([name + ' elem N'])
    for ii in range(len(vector_legend)):
        vector_legend[ii] = (ii,vector_legend[ii])
    vector_legend = np.array(vector_legend)
    return vector_legend


